<?php

namespace Teknisa\DF\Modules\Entrada\Services;

use Teknisa\DF\Modules\Entrada\Factories\Dfe64000IntegracaoCFOPComTipoOperFactory;

class Dfe64000IntegracaoCFOPComTipoOperService{
    
    protected $IntegracaoCFOPComTipoOperFactory;
    
    public function __construct(Dfe64000IntegracaoCFOPComTipoOperFactory $IntegracaoCFOPComTipoOperFactory) {
        $this->IntegracaoCFOPComTipoOperFactory = $IntegracaoCFOPComTipoOperFactory;
    }
    
    public function verificaCFOPUtilizado ($cdCFOP, $cdFilial, $dataSourceName) {
        return ($this->IntegracaoCFOPComTipoOperFactory->verificaCFOPUtilizado($cdCFOP, $cdFilial, $dataSourceName));
    }
    
    public function save ($cdCFOP, $cdTipoOper, $cdFilial, $dataSourceName) {
        return ($this->IntegracaoCFOPComTipoOperFactory->save($cdCFOP, $cdTipoOper, $cdFilial, $dataSourceName));
    }
    
    public function delete($cdCFOP, $cdFilial, $dataSourceName) {
        $this->IntegracaoCFOPComTipoOperFactory->delete($cdCFOP, $cdFilial, $dataSourceName);
    }
}